
Redmine - Patch #4573

Move github gems to Gemcutter

2010-01-13 16:00 - Alexey Palazhchenko

Status: Closed Start date: 2010-01-13

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 100%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 1.0.0 (RC)   

Description

gems.github.com is almost gone.

Simply (config/environments/test*.rb):

config.gem "shoulda", :source => "http://gemcutter.org"  

Associated revisions

Revision 3403 - 2010-02-10 01:56 - Eric Davis

Switch to using the shoulda gem from gemcutter. #4573

History

#1 - 2010-01-13 17:09 - Eric Davis

- Subject changed from Move shoulda gem to Gemcutter to Move github gems to Gemcutter

- Category set to Code cleanup/refactoring

- Status changed from New to 7

- Assignee set to Eric Davis

- Target version set to 1.0.0 (RC)

Agreed but the Github gems will be around until October 2010 (according to their reports).  We will also need to move over Object Daddy, which I'll

probably have to fork and build myself.

#2 - 2010-01-14 14:19 - Konstantin Haase

Eric Davis wrote:

Agreed but the Github gems will be around until October 2010 (according to their reports).  We will also need to move over Object Daddy, which

I'll probably have to fork and build myself.

 Why not embed Object Daddy as a plugin, which seems to be the official way to do it?

#3 - 2010-02-10 01:47 - Eric Davis

- Status changed from 7 to Closed

- % Done changed from 0 to 100

Konstantin Haase wrote:

Why not embed Object Daddy as a plugin, which seems to be the official way to do it?

 It would add to the size of the download for Redmine (svn and archives) even if the user won't be running the tests.  I've already forked object_daddy

and added some bug fixes that the official repository is missing.

I've switched to the shoulda gem in r3403.
http://github.com/edavis10/object_daddy
http://gemcutter.org/gems/edavis10-object_daddy
https://www.redmine.org/projects/redmine/repository/svn/revisions/3403
